unit DataTypes;

interface

const
  MAX_DEVICE            =   16        ;
  MAX_CHANNEL           =   32        ;
  DEFAULT_CHANNEL       =   4         ;
  
  MAX_PROFILE_ITEM      =   128       ;

  DISABLE_MODE      =   0;
  NORMAL_MODE       =   1;
  STROBE_MODE       =   2;
  TRIGGER_MODE      =   3;

  AA_MODULE         =   0;
  AV_MODULE         =   1;
  SA_MODULE         =   2;
  SV_MODULE         =   3;
  MA_MODULE         =   4;
  CA_MODULE         =   5;
  HA_MODULE         =   6;
  HV_MODULE         =   7;
  FA_MODULE         =   8;
  FV_MODULE         =   9;
  XA_MODULE         =   10;
  XV_MODULE         =   11;    

type
  DWord = LongInt;
  PByte = ^Byte;
  PDword = ^DWord;
  PInteger = ^Integer;

  PLedChannelData = ^TLedChannelData;
  TLedChannelData = packed Record
    Normal_CurrentMax: Integer;
    Normal_CurrentSet: Integer;

    Strobe_CurrentMax: Integer;
    Strobe_RepeatCnt: Integer;
    Strobe_Profile: Array[1..MAX_PROFILE_ITEM, 1..2] of integer;

    Trigger_CurrentMax: Integer;
    Trigger_Polarity: Integer;
    Trigger_Profile: Array[1..MAX_PROFILE_ITEM, 1..2] of integer;
  end;

var
  LedData :  TLedChannelData;

implementation

end.
